[
{
    blockid=list;
    help=logfiles_list_list;
    custom=com.netscape.management.msgserv.LogfileListControl;
    localvar={
	/* translate this block */
	.dialogheader.text="\u30ed\u30b0\u306e\u8868\u793a\u3068\u89e3\u6790";
	.detail.border=[titled,"\u30ed\u30b0\u30d5\u30a1\u30a4\u30eb\u60c5\u5831"];
	.filetype.text="\u30ed\u30b0\u30d5\u30a1\u30a4\u30eb\u306e\u7a2e\u985e:";
	.filetype.value=" ";
	.size.text="\u30ed\u30b0\u30d5\u30a1\u30a4\u30eb\u306e\u30b5\u30a4\u30ba (\u30d0\u30a4\u30c8):";
	.modtime.text="\u6700\u7d42\u66f4\u65b0\u65e5\u6642:";
	.count.text="\u884c\u6570:";
	.viewlog.text="\u9078\u629e\u3057\u305f\u30ed\u30b0\u306e\u8868\u793a...";
	.col1.header="\u30ed\u30b0\u30d5\u30a1\u30a4\u30eb\u540d";
	.col2.header="\u30ed\u30b0";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.detail.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.filetype.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.filetype.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.size.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.size.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.modtime.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.modtime.value;
			    wrap=$g.label.size2;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	    size=$g.comp.space.diff;
	},
	{
	    ctrl=table;
	    id=logfiletable;
	    showadd=false;
	    showdelete=false;
	    showedit=true;
	    edittext=$.viewlog.text;
	    buttonsat=east;
	    columns=[
		{
		    header=$.col1.header;
		}
	    ];
	}
    ]
},
{
    blockid=filter;
    help=logfiles_list_filter;
    localvar={
	.filterheader.text="\u30ed\u30b0\u30d5\u30a3\u30eb\u30bf";
	.filter.border=[titled,"\u30d5\u30a3\u30eb\u30bf"];
	.facility.text="\u6a5f\u80fd:";
	.facility.labels=["\u3059\u3079\u3066","\u4e00\u822c","LDAP","\u30cd\u30c3\u30c8\u30ef\u30fc\u30af","\u30a2\u30ab\u30a6\u30f3\u30c8","\u30d7\u30ed\u30c8\u30b3\u30eb","\u72b6\u614b","\u30b9\u30c8\u30a2"];
	.level.text="\u8a73\u7d30\u30ec\u30d9\u30eb:";
	.level.labels=["\u91cd\u8981","\u30a8\u30e9\u30fc","\u8b66\u544a","\u901a\u77e5","\u60c5\u5831","\u30c7\u30d0\u30c3\u30b0"];
	.regex.text="\u30d1\u30bf\u30fc\u30f3:";
	.abstime.header="\u671f\u9593\u306e\u6307\u5b9a";
	.absfrom.text="\u958b\u59cb:";
	.absfrom.value="-";
	.absto.text="\u7d42\u4e86:";
	.absto.value="-";
	.pasttime.text="\u904e\u53bb:";
	.pasttime.labels=["\u65e5"];
	.update.text="\u66f4\u65b0";
    };
    content=[
	{
	    ctrl=pane;
	    border=$.filter.border;
	    layout=[gridbag];
	    content=[
		{
		    ctrl=togglepane;
		    layout=[gridbag];
		    style=radio;
		    id=absflag;
		    text=$.abstime.header;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=0;
			insets=[3,3,3,6];
			weightx=1.0;
			gridheight=3;
			anchor=west;
			fill=horizontal;
		    };
		    content=[
			{
			    ctrl=label;
			    text=$.absfrom.text;
			    constraint={
				gridx=0;
				gridy=0;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absfrom;
			    id=absfromctrl;
			    val=$.absfrom.value;
			    constraint={
				gridx=1;
				gridy=0;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			},
			{
			    ctrl=label;
			    text=$.absto.text;
			    constraint={
				gridx=0;
				gridy=1;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absto;
			    id=abstoctrl;
			    val=$.absto.value;
			    constraint={
				gridx=1;
				gridy=1;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			}
		    ]
		},
		{
		    ctrl=label;
		    text=$.facility.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=facilityctrl;
		    labels=$.facility.labels;
		    items=["",General,LDAP,Network,Account,Protocol,Stats,Store];
		    val=$.facility.value;
		    constraint={
			gridx=2;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.level.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    labels=$.level.labels;
		    items=["Critical","Critical Error","Critical Error Warning","Critical Error Warning Notice","Critical Error Warning Notice Information",""];
		    val=$.level.value;
		    constraint={
			gridx=2;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.regex.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=text;
		    id=regexctrl;
		    val=$.regex.value;
		    constraint={
			gridx=2;
			gridy=2;
			weightx=9;
			anchor=west;
			fill=horizontal;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    id=pastflag;
		    text=$.pasttime.text;
		    inline=true;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=3;
			anchor=west;
			insets=$g.insets.comp
		    };
		    content=[
			{
			    ctrl=number;
			    id=pastctrl;
			    items=[day];
			    labels=$.pasttime.labels;
			    val=$.pasttime.value;
			}
		    ]
		},
		{
		    ctrl=button;
		    text=$.update.text;
		    cmd=.log.update;
		    constraint={
			gridx=2;
			gridy=3;
			anchor=east;
			insets=$g.insets.comp
		    }
		}
	    ]
	}
    ]
},
{
    blockid=viewer;
    help=logfiles_list_viewer;
    localvar={
	.viewerheader.text="\u30ed\u30b0\u30d3\u30e5\u30fc\u30a2";
	.numlines.text="\u884c\u306e\u7dcf\u6570:";
	.goto.text="\u30b8\u30e3\u30f3\u30d7";
	.logentry.text="\u30ed\u30b0\u30a8\u30f3\u30c8\u30ea";
	.filter.text="\u30d5\u30a3\u30eb\u30bf...";
    };
    content=[
/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.numlines.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    id=numlineslabel;
		    wrap=$g.label.size1;
		    val=0;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$.goto.text;
		    cmd=.log.goto;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=number;
		    id=goto;
		    val=$.goto.value;
		    aligny=0.5;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
*/
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=contenttable;
	    showadd=false;
	    showdelete=false;
	    visiblerows=8;
	    columns=[
		{
		    header=$.logentry.text;
		    width=480;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=textarea;
	    id=detailtext;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=hglue;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.close.text;
		    cmd=.log.done;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.help.text;
		    cmd=.log.help;
		},
		{
		    ctrl=rigid;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	}
    ]
}
]
